ensure all items are included in changelog and standardise packaging

Bug #1601954 reported by Andy Whitcroft on 2016-07-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-meta (Ubuntu)
Medium
Andy Whitcroft
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
linux-meta-aws (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Thadeu Lima de Souza Cascardo
linux-meta-lts-trusty (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
linux-meta-lts-xenial (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
linux-meta-raspi2 (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Thadeu Lima de Souza Cascardo
linux-meta-snapdragon (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Thadeu Lima de Souza Cascardo
linux-signed (Ubuntu)
Medium
Andy Whitcroft
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

simplify packaging and ensure all items are included in changelog.

Andy Whitcroft (apw) on 2016-07-11
Changed in linux-meta (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2016-07-11
Changed in linux-signed (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
summary: - simplify packaging and ensure all items are included in changelog
+ ensure all items are included in changelog and standardise packaging
Andy Whitcroft (apw) on 2016-07-12
summary: - ensure all items are included in changelog and standardise packaging
+ ensure all items are included in changelog and standardise packaging
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-signed - 4.8.0-11.12

---------------
linux-signed (4.8.0-11.12) yakkety; urgency=medium

  * Master version: 4.8.0-11.12

  * Miscellaneous Ubuntu changes
    - update-version -- fix master version prefix
    - changelog -- fix up existing broken entries
    - changelog -- properly format previous entry

 -- Leann Ogasawara <email address hidden> Fri, 16 Sep 2016 19:39:43 -0700

Changed in linux-signed (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 4.8.0.11.20

---------------
linux-meta (4.8.0.11.20) yakkety; urgency=medium

  * Bump ABI 4.8.0-11

 -- Leann Ogasawara <email address hidden> Fri, 16 Sep 2016 19:29:30 -0700

Changed in linux-meta (Ubuntu):
status: In Progress → Fix Released
Stefan Bader (smb) on 2017-02-01
Changed in linux-meta-lts-xenial (Ubuntu Xenial):
status: New → Invalid
Changed in linux-meta-lts-xenial (Ubuntu Precise):
status: New → Invalid
Changed in linux-meta-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Changed in linux-meta-lts-trusty (Ubuntu Xenial):
status: New → Invalid
Changed in linux-meta (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux-meta-raspi2 (Ubuntu Xenial):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
status: New → Confirmed
Changed in linux-meta-snapdragon (Ubuntu Xenial):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
status: New → In Progress
Changed in linux-meta-raspi2 (Ubuntu Xenial):
status: Confirmed → Fix Committed
Changed in linux-meta-snapdragon (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-meta-aws (Ubuntu Xenial):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
status: New → In Progress
Changed in linux-meta-aws (Ubuntu Precise):
status: New → Invalid
Changed in linux-meta-aws (Ubuntu Trusty):
status: New → Invalid
Launchpad Janitor (janitor) wrote :
Download full text (13.5 KiB)

This bug was fixed in the package linux-meta - 3.2.0.122.137

---------------
linux-meta (3.2.0.122.137) precise; urgency=medium

  * Bump ABI 3.2.0-122

  * ensure all items are included in changelog and standardise packaging
    (LP: #1601954)
    - add git-ubuntu-log for changelog formatting
    - add update-version to simplify updates

  * Miscellaneous Ubuntu changes
    - simplify meta package packaging

linux-meta (3.2.0.121.136) precise; urgency=medium

  * linux ABI 3.2.0-121

linux-meta (3.2.0.120.135) precise; urgency=medium

  * linux ABI 3.2.0-120

linux-meta (3.2.0.119.134) precise; urgency=medium

  * linux ABI 3.2.0-119

linux-meta (3.2.0.118.133) precise; urgency=medium

  * linux ABI 3.2.0-118

linux-meta (3.2.0.117.133) precise; urgency=medium

  * linux ABI 3.2.0-117

linux-meta (3.2.0.116.132) precise; urgency=medium

  * linux ABI 3.2.0-116

linux-meta (3.2.0.115.131) precise; urgency=medium

  * linux ABI 3.2.0-115

linux-meta (3.2.0.114.130) precise; urgency=medium

  * linux ABI 3.2.0-114

linux-meta (3.2.0.113.129) precise; urgency=medium

  * linux ABI 3.2.0-113

linux-meta (3.2.0.112.128) precise; urgency=medium

  * linux ABI 3.2.0-112

linux-meta (3.2.0.111.127) precise; urgency=medium

  * linux ABI 3.2.0-111

linux-meta (3.2.0.110.126) precise; urgency=low

  * linux ABI 3.2.0-110

linux-meta (3.2.0.109.125) precise; urgency=medium

  * linux ABI 3.2.0-109

linux-meta (3.2.0.108.124) precise; urgency=medium

  [ Stefan Bader ]

  * linux ABI

linux-meta (3.2.0.107.123) precise; urgency=medium

  [ Seth Forshee ]

  * linux ABI

linux-meta (3.2.0.106.122) precise; urgency=medium

  [ Kamal Mostafa ]

  * linux ABI

linux-meta (3.2.0.105.121) precise; urgency=medium

  [ Kamal Mostafa ]

  * linux ABI

linux-meta (3.2.0.104.120) precise; urgency=medium

  [ Kamal Mostafa ]

  * linux ABI

linux-meta (3.2.0.103.119) precise; urgency=medium

  [ Kamal Mostafa ]

  * linux ABI

linux-meta (3.2.0.102.118) precise; urgency=medium

  [ Kamal Mostafa ]

  * linux ABI

linux-meta (3.2.0.101.117) precise; urgency=medium

  [ Brad Figg ]

  * linux ABI

linux-meta (3.2.0.100.116) precise; urgency=medium

  [ Brad Figg ]

  * linux ABI

linux-meta (3.2.0.99.115) precise; urgency=medium

  [ Brad Figg ]

  * linux ABI

linux-meta (3.2.0.98.114) precise; urgency=medium

  [ Luis Henriques ]

  * linux ABI

linux-meta (3.2.0.97.113) precise; urgency=medium

  [ Luis Henriques ]

  * linux ABI

linux-meta (3.2.0.96.112) precise; urgency=low

  [ Brad Figg ]

  * Bump ABI

linux-meta (3.2.0.95.111) precise; urgency=low

  [ Andy Whitcroft ]

  * Provides/Conficts/Replaces: on linux-image-generic-pae and
    linux-image-virtual. Upgrade linux-image-generic to P/C/R.

linux-meta (3.2.0.95.110) precise; urgency=low

  [ Andy Whitcroft ]

  * drop linux-backports-*-hv-* from -generic-pae and -virtual also.
    (LP: #151884)

linux-meta (3.2.0.95.109) precise; urgency=low

  [ Luis Henriques ]

  * Merge back Ubuntu-3.2.0.94.108 security release
  * Bump ABI

  [ Andy Whitcroft ]

  * drop linux-backports-*-hv-* as this is no longer supported
    and the in kernel driver is now newer and more functional
    that this. Conflicts/Rep...

Changed in linux-meta (Ubuntu Precise):
status: New → Fix Released
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-lts-trusty - 3.13.0.109.100

---------------
linux-meta-lts-trusty (3.13.0.109.100) precise; urgency=medium

  * Bump ABI 3.13.0-109

  * ensure all items are included in changelog and standardise packaging
    (LP: #1601954)
    - add git-ubuntu-log for changelog formatting
    - add update-version to simplify updates

  * Miscellaneous Ubuntu changes
    - simplify meta package packaging
    - set tag prefix in update-version script for LTS release

 -- Benjamin M Romer <email address hidden> Wed, 08 Feb 2017 14:13:08 -0500

Changed in linux-meta-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 3.13.0.109.117

---------------
linux-meta (3.13.0.109.117) trusty; urgency=medium

  * Bump ABI 3.13.0-109

  * ensure all items are included in changelog and standardise packaging
    (LP: #1601954)
    - simplify meta package packaging
    - add git-ubuntu-log for changelog formatting
    - add update-version to simplify updates

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 06 Feb 2017 12:37:09 -0200

Changed in linux-meta (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-lts-xenial - 4.4.0.63.49

---------------
linux-meta-lts-xenial (4.4.0.63.49) trusty; urgency=medium

  * Bump ABI 4.4.0-63

  * ensure all items are included in changelog and standardise packaging
    (LP: #1601954)
    - add git-ubuntu-log for changelog formatting
    - add update-version to simplify updates

  * Miscellaneous Ubuntu changes
    - simplify meta package packaging
    - fix tag prefix in update-version
    - fix version suffixes in update-version

 -- Thadeu Lima de Souza Cascardo <email address hidden> Thu, 02 Feb 2017 10:48:04 -0200

Changed in linux-meta-lts-xenial (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 4.4.0.63.67

---------------
linux-meta (4.4.0.63.67) xenial; urgency=medium

  * Restore transitional LTS packages.

linux-meta (4.4.0.63.66) xenial; urgency=medium

  * Bump ABI 4.4.0-63

  * ensure all items are included in changelog and standardise packaging
    (LP: #1601954)
    - simplify meta package packaging
    - add git-ubuntu-log for changelog formatting
    - add update-version to simplify updates

 -- Thadeu Lima de Souza Cascardo <email address hidden> Fri, 03 Feb 2017 23:18:39 -0200

Changed in linux-meta (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-aws - 4.4.0.1003.4

---------------
linux-meta-aws (4.4.0.1003.4) xenial; urgency=medium

  * Bump ABI 4.4.0-1003

 -- Benjamin M Romer <email address hidden> Wed, 08 Feb 2017 18:32:33 -0500

Changed in linux-meta-aws (Ubuntu Xenial):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-snapdragon - 4.4.0.1047.39

---------------
linux-meta-snapdragon (4.4.0.1047.39) xenial; urgency=medium

  * Bump ABI 4.4.0-1047

  * ensure all items are included in changelog and standardise packaging
    (LP: #1601954)
    - simplify meta package packaging
    - add git-ubuntu-log for changelog formatting
    - add update-version to simplify updates

 -- Thadeu Lima de Souza Cascardo <email address hidden> Wed, 01 Feb 2017 11:37:11 -0200

Changed in linux-meta-snapdragon (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Changed in linux-meta-snapdragon (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-raspi2 - 4.4.0.1044.43

---------------
linux-meta-raspi2 (4.4.0.1044.43) xenial; urgency=medium

  * Bump ABI 4.4.0-1044

 -- Thadeu Lima de Souza Cascardo <email address hidden> Thu, 23 Feb 2017 19:47:34 -0300

Changed in linux-meta-raspi2 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers